#pragma once
#include "BWAPI.h"
using namespace BWAPI;

class Overseer;

class StrategyStructureDefinition {

public:
	virtual void setUpBranches() = 0;
	virtual void loadOpener() = 0;
	virtual void monitorBuildOrder() = 0;
	virtual int getID() { return id;};

private:


protected:
	Overseer* overseer;
	int id;

};